package com.mortals.xhx.module.certificate.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.certificate.model.CertificateCatalogTemplateEntity;
import com.mortals.xhx.module.certificate.service.CertificateCatalogTemplateService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 证照目录模板
*
* @author zxfei
* @date 2023-05-23
*/
@RestController
@RequestMapping("certificate/catalog/template")
public class CertificateCatalogTemplateController extends BaseCRUDJsonBodyMappingController<CertificateCatalogTemplateService,CertificateCatalogTemplateEntity,Long> {

    @Autowired
    private ParamService paramService;

    public CertificateCatalogTemplateController(){
        super.setModuleDesc( "证照目录模板");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "templateType", paramService.getParamBySecondOrganize("CertificateCatalogTemplate","templateType"));
        this.addDict(model, "status", paramService.getParamBySecondOrganize("CertificateCatalogTemplate","status"));
        this.addDict(model, "isPdf", paramService.getParamBySecondOrganize("CertificateCatalogTemplate","isPdf"));
        super.init(model, context);
    }


}