package com.mortals.xhx.module.record.model;

import java.util.List;
import com.mortals.xhx.module.record.model.RecordEntity;
/**
 * 证照申请查询对象
 *
 * @author zxfei
 * @date 2023-05-14
 */
public class RecordQuery extends RecordEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 证照目录ID */
    private Long catalogIdStart;

    /** 结束 证照目录ID */
    private Long catalogIdEnd;

    /** 增加 证照目录ID */
    private Long catalogIdIncrement;

    /** 证照目录ID列表 */
    private List <Long> catalogIdList;

    /** 证照目录ID排除列表 */
    private List <Long> catalogIdNotList;

    /** 目录名称 */
    private List<String> catalogNameList;

    /** 目录名称排除列表 */
    private List <String> catalogNameNotList;
    /** 目录编号 */
    private List<String> catalogCodeList;

    /** 目录编号排除列表 */
    private List <String> catalogCodeNotList;
    /** 开始 档案状态 */
    private Integer recordStatusStart;

    /** 结束 档案状态 */
    private Integer recordStatusEnd;

    /** 增加 档案状态 */
    private Integer recordStatusIncrement;

    /** 档案状态列表 */
    private List <Integer> recordStatusList;

    /** 档案状态排除列表 */
    private List <Integer> recordStatusNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RecordQuery> andConditionList;

    public RecordQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 证照目录ID
     * @return catalogIdStart
     */
    public Long getCatalogIdStart(){
        return this.catalogIdStart;
    }

    /**
     * 设置 开始 证照目录ID
     * @param catalogIdStart
     */
    public void setCatalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
    }

    /**
     * 获取 结束 证照目录ID
     * @return $catalogIdEnd
     */
    public Long getCatalogIdEnd(){
        return this.catalogIdEnd;
    }

    /**
     * 设置 结束 证照目录ID
     * @param catalogIdEnd
     */
    public void setCatalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
    }

    /**
     * 获取 增加 证照目录ID
     * @return catalogIdIncrement
     */
    public Long getCatalogIdIncrement(){
        return this.catalogIdIncrement;
    }

    /**
     * 设置 增加 证照目录ID
     * @param catalogIdIncrement
     */
    public void setCatalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
    }

    /**
     * 获取 证照目录ID
     * @return catalogIdList
     */
    public List<Long> getCatalogIdList(){
        return this.catalogIdList;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdList
     */
    public void setCatalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
    }

    /**
     * 获取 证照目录ID
     * @return catalogIdNotList
     */
    public List<Long> getCatalogIdNotList(){
        return this.catalogIdNotList;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdNotList
     */
    public void setCatalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
    }


    /**
     * 获取 目录名称
     * @return catalogNameList
     */
    public List<String> getCatalogNameList(){
        return this.catalogNameList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public void setCatalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
    }

    /**
     * 获取 目录名称
     * @return catalogNameNotList
     */
    public List<String> getCatalogNameNotList(){
        return this.catalogNameNotList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameNotList
     */
    public void setCatalogNameNotList(List<String> catalogNameNotList){
        this.catalogNameNotList = catalogNameNotList;
    }

    /**
     * 获取 目录编号
     * @return catalogCodeList
     */
    public List<String> getCatalogCodeList(){
        return this.catalogCodeList;
    }

    /**
     * 设置 目录编号
     * @param catalogCodeList
     */
    public void setCatalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
    }

    /**
     * 获取 目录编号
     * @return catalogCodeNotList
     */
    public List<String> getCatalogCodeNotList(){
        return this.catalogCodeNotList;
    }

    /**
     * 设置 目录编号
     * @param catalogCodeNotList
     */
    public void setCatalogCodeNotList(List<String> catalogCodeNotList){
        this.catalogCodeNotList = catalogCodeNotList;
    }

    /**
     * 获取 开始 档案状态
     * @return recordStatusStart
     */
    public Integer getRecordStatusStart(){
        return this.recordStatusStart;
    }

    /**
     * 设置 开始 档案状态
     * @param recordStatusStart
     */
    public void setRecordStatusStart(Integer recordStatusStart){
        this.recordStatusStart = recordStatusStart;
    }

    /**
     * 获取 结束 档案状态
     * @return $recordStatusEnd
     */
    public Integer getRecordStatusEnd(){
        return this.recordStatusEnd;
    }

    /**
     * 设置 结束 档案状态
     * @param recordStatusEnd
     */
    public void setRecordStatusEnd(Integer recordStatusEnd){
        this.recordStatusEnd = recordStatusEnd;
    }

    /**
     * 获取 增加 档案状态
     * @return recordStatusIncrement
     */
    public Integer getRecordStatusIncrement(){
        return this.recordStatusIncrement;
    }

    /**
     * 设置 增加 档案状态
     * @param recordStatusIncrement
     */
    public void setRecordStatusIncrement(Integer recordStatusIncrement){
        this.recordStatusIncrement = recordStatusIncrement;
    }

    /**
     * 获取 档案状态
     * @return recordStatusList
     */
    public List<Integer> getRecordStatusList(){
        return this.recordStatusList;
    }

    /**
     * 设置 档案状态
     * @param recordStatusList
     */
    public void setRecordStatusList(List<Integer> recordStatusList){
        this.recordStatusList = recordStatusList;
    }

    /**
     * 获取 档案状态
     * @return recordStatusNotList
     */
    public List<Integer> getRecordStatusNotList(){
        return this.recordStatusNotList;
    }

    /**
     * 设置 档案状态
     * @param recordStatusNotList
     */
    public void setRecordStatusNotList(List<Integer> recordStatusNotList){
        this.recordStatusNotList = recordStatusNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public RecordQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public RecordQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public RecordQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public RecordQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public RecordQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public RecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  证照目录ID
     * @param catalogId
     */
    public RecordQuery catalogId(Long catalogId){
        setCatalogId(catalogId);
        return this;
    }

    /**
     * 设置 开始 证照目录ID
     * @param catalogIdStart
     */
    public RecordQuery catalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
        return this;
    }

    /**
     * 设置 结束 证照目录ID
     * @param catalogIdEnd
     */
    public RecordQuery catalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
        return this;
    }

    /**
     * 设置 增加 证照目录ID
     * @param catalogIdIncrement
     */
    public RecordQuery catalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
        return this;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdList
     */
    public RecordQuery catalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
        return this;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdNotList
     */
    public RecordQuery catalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
        return this;
    }


    /**
     * 设置 目录名称
     * @param catalogName
     */
    public RecordQuery catalogName(String catalogName){
        setCatalogName(catalogName);
        return this;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public RecordQuery catalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
        return this;
    }


    /**
     * 设置 目录编号
     * @param catalogCode
     */
    public RecordQuery catalogCode(String catalogCode){
        setCatalogCode(catalogCode);
        return this;
    }

    /**
     * 设置 目录编号
     * @param catalogCodeList
     */
    public RecordQuery catalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
        return this;
    }

    /**
     * 设置  档案状态
     * @param recordStatus
     */
    public RecordQuery recordStatus(Integer recordStatus){
        setRecordStatus(recordStatus);
        return this;
    }

    /**
     * 设置 开始 档案状态
     * @param recordStatusStart
     */
    public RecordQuery recordStatusStart(Integer recordStatusStart){
        this.recordStatusStart = recordStatusStart;
        return this;
    }

    /**
     * 设置 结束 档案状态
     * @param recordStatusEnd
     */
    public RecordQuery recordStatusEnd(Integer recordStatusEnd){
        this.recordStatusEnd = recordStatusEnd;
        return this;
    }

    /**
     * 设置 增加 档案状态
     * @param recordStatusIncrement
     */
    public RecordQuery recordStatusIncrement(Integer recordStatusIncrement){
        this.recordStatusIncrement = recordStatusIncrement;
        return this;
    }

    /**
     * 设置 档案状态
     * @param recordStatusList
     */
    public RecordQuery recordStatusList(List<Integer> recordStatusList){
        this.recordStatusList = recordStatusList;
        return this;
    }

    /**
     * 设置 档案状态
     * @param recordStatusNotList
     */
    public RecordQuery recordStatusNotList(List<Integer> recordStatusNotList){
        this.recordStatusNotList = recordStatusNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public RecordQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public RecordQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public RecordQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public RecordQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public RecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public RecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public RecordQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public RecordQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public RecordQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public RecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public RecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public RecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  站点id
     * @param siteId
     */
    public RecordQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public RecordQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public RecordQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public RecordQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public RecordQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public RecordQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<RecordQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<RecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<RecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<RecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}